#include "mysysinfo1.h"

using namespace Upp;

#include <XSysInfo/XSysInfo.h>


static bool end = false;


void mysysinfo1::Gettheinfo()
{
	
	String manufacturer, productName, version, mbSerial;
	Date releaseDate;
	int numberOfProcessors;
	GetSystemInfo(manufacturer, productName, version, numberOfProcessors, mbSerial);
	
	
	
	//  PromptOK("Hello world");
	
	PromptOK(DeQtf(GetCurrentDirectory()));
	
	
	
	PromptOK(mbSerial);
	PromptOK(manufacturer);
	PromptOK(productName);
	
	PromptOK("\1" + GetCurrentDirectory());
	
	PromptOK(DeQtf(GetDesktopFolder()));
	
	PromptOK(DeQtf(GetProgramsFolder()));
	PromptOK(DeQtf(GetAppDataFolder()));
	
	
	//  getsystemfolder doesn't work not found error
	// PromptOK(GetSystemFolder());


	
	
}




mysysinfo1::mysysinfo1()
{
	CtrlLayout(*this, "My System Information program");
	
	
	//  add below for using a button
	btnDoSomething <<= THISBACK(Gettheinfo);	
	
}




GUI_APP_MAIN
{
	mysysinfo1().Run();
}

